### Function: ResetQuestStep(quest, step, desc, task_group)

**Description:**
Resets the progress on the quest step for the quest object.

**Parameters:**
- `quest` (Quest) - Quest object representing `quest`.
- `step` (uint32) - Integer value `step`.
- `desc` (string) - String `desc`.
- `task_group` (string) - String `task_group`.

**Returns:** None.

**Example:**

Example Required
